List
curl --request GET \
--url https://{defaultHost}/v1/downloads \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/downloads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/downloads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/downloads"
},
"data": [
{
"id": "b8ffdc53-5bfa-47d8-a970-2b2877f515db",
"object": "download",
"alt": null,
"archived": false,
"archived_at": null,
"name": null,
"title": null,
"url": null,
"media": "3d519e04-145b-45b7-b058-89fc68bc35b7",
"product": "d642a28c-812c-47f8-a96d-9532ab3a8433",
"variant": null,
"created_at": 1787228377,
"updated_at": 1787228377
}
]
}Downloads
List
Returns a list of your downloads.
GET
/
v1
/
downloads
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that are archived or not archived.
Only return objects that belong to the given customers.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given products.
Only return objects that belong to the given variants.
Was this page helpful?